function bruz = ICI_RICI_region (N,signal,Gamma_ICI,sig,Rc,i)
    
    bruz=0;    
	interval = i:1:N;
    korak=1;

    for j = interval
        bruz = bruz + 1;  

        % The upper and the lower limit of confidence interval
        suma = sum(signal(i:korak:j));
        Dg_f = suma/bruz + Gamma_ICI*sig/sqrt(bruz);
        Dd_f = suma/bruz - Gamma_ICI*sig/sqrt(bruz);  
        
        %The first iteration -> The second iteration
        if(j == i)
            Dgmin_f = Dg_f;
            Ddmax_f = Dd_f;
            continue
        end
        
        %The smallest upper limit
        if (Dg_f < Dgmin_f)
            Dgmin_f = Dg_f;
        end
        
        %The largest lower limit
        if (Dd_f > Ddmax_f)
            Ddmax_f = Dd_f;
        end;
        
        %Criterion for new region 
        R = (Dgmin_f-Ddmax_f)/(Dg_f-Dd_f);
        if (R < Rc)
            bruz = bruz - 1;
            break
        end
    end
end